ALTER TABLE `#__djc2_cart_extra_fields` CHANGE `visibility` `visibility` INT(11) NOT NULL DEFAULT '0';

ALTER TABLE `#__djc2_customisations` CHANGE `tax_rule_id` `tax_rule_id` INT(11) NOT NULL DEFAULT '0';

ALTER TABLE `#__djc2_categories` 
CHANGE `checked_out` `checked_out` INT(11) NOT NULL DEFAULT '0', 
CHANGE `checked_out_time` `checked_out_time` DATETIME NULL DEFAULT NULL, 
CHANGE `created_by` `created_by` INT(11) NOT NULL DEFAULT '0', 
CHANGE `created` `created` DATETIME NULL DEFAULT NULL, 
CHANGE `ordering` `ordering` INT(11) NOT NULL DEFAULT '0';

ALTER TABLE `#__djc2_countries` 
CHANGE `is_eu` `is_eu` SMALLINT(6) NOT NULL DEFAULT '0';

ALTER TABLE `#__djc2_coupons` 
CHANGE `created` `created` DATETIME NULL DEFAULT NULL, 
CHANGE `created_by` `created_by` INT(11) NOT NULL DEFAULT '0', 
CHANGE `modified` `modified` DATETIME NULL DEFAULT NULL, 
CHANGE `modified_by` `modified_by` INT(11) NOT NULL DEFAULT '0', 
CHANGE `ordering` `ordering` INT(11) NOT NULL DEFAULT '0';

ALTER TABLE `#__djc2_delivery_methods` 
CHANGE `note` `note` TEXT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL,
CHANGE `tax_rule_id` `tax_rule_id` INT(11) NOT NULL DEFAULT '0', 
CHANGE `shipping_details` `shipping_details` TINYINT(4) NOT NULL DEFAULT '0';

ALTER TABLE `#__djc2_files` 
CHANGE `caption` `caption` VARCHAR(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL;

ALTER TABLE `#__djc2_images` 
CHANGE `caption` `caption` VARCHAR(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL;


ALTER TABLE `#__djc2_items`
CHANGE `parent_id` `parent_id` INT(11) NOT NULL DEFAULT '0',
CHANGE `length` `length` DECIMAL(10,4) NULL DEFAULT '0.0000', 
CHANGE `width` `width` DECIMAL(10,4) NULL DEFAULT '0.0000', 
CHANGE `height` `height` DECIMAL(10,4) NULL DEFAULT '0.0000', 
CHANGE `weight` `weight` DECIMAL(10,4) NULL DEFAULT '0.0000',
CHANGE `stock` `stock` DECIMAL(10,4) NULL DEFAULT '0.0000',
CHANGE `price` `price` DECIMAL(14,4) NULL DEFAULT '0.0', 
CHANGE `special_price` `special_price` DECIMAL(14,4) NULL DEFAULT '0.0', 
CHANGE `checked_out` `checked_out` INT(11) NOT NULL DEFAULT '0', 
CHANGE `checked_out_time` `checked_out_time` DATETIME NULL DEFAULT NULL, 
CHANGE `created` `created` DATETIME NULL DEFAULT NULL, 
CHANGE `publish_up` `publish_up` DATETIME NULL DEFAULT NULL, 
CHANGE `publish_down` `publish_down` DATETIME NULL DEFAULT NULL, 
CHANGE `modified` `modified` DATETIME NULL DEFAULT NULL;

ALTER TABLE `#__djc2_items_extra_fields` 
CHANGE `ordering` `ordering` INT(11) NOT NULL DEFAULT '0', 
CHANGE `filterable` `filterable` INT(11) NOT NULL DEFAULT '0', 
CHANGE `searchable` `searchable` INT(11) NOT NULL DEFAULT '0', 
CHANGE `visibility` `visibility` INT(11) NOT NULL DEFAULT '0';

ALTER TABLE `#__djc2_items_extra_fields_groups` 
CHANGE `ordering` `ordering` INT(11) NOT NULL DEFAULT '0';

ALTER TABLE `#__djc2_items_extra_fields_options` 
CHANGE `ordering` `ordering` INT(11) NOT NULL DEFAULT '0';

ALTER TABLE `#__djc2_messages` 
CHANGE `user_from` `user_from` INT(10) NOT NULL DEFAULT '0',
CHANGE `user_to` `user_to` INT(10) NOT NULL DEFAULT '0', 
CHANGE `sent_time` `sent_time` DATETIME NULL DEFAULT NULL;

ALTER TABLE `#__djc2_message_templates` 
CHANGE `created` `created` DATETIME NULL DEFAULT NULL, 
CHANGE `checked_out_time` `checked_out_time` DATETIME NULL DEFAULT NULL;

ALTER TABLE `#__djc2_orders` 
CHANGE `order_number` `order_number` INT(11) NOT NULL DEFAULT '0', 
CHANGE `invoice_number` `invoice_number` VARCHAR(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL, 
CHANGE `user_id` `user_id` INT(11) NOT NULL DEFAULT '0', 
CHANGE `created_date` `created_date` DATETIME NULL DEFAULT NULL, 
CHANGE `modified` `modified` DATETIME NULL DEFAULT NULL, 
CHANGE `invoice_date` `invoice_date` DATETIME NULL DEFAULT NULL, 
CHANGE `service_date` `service_date` DATETIME NULL DEFAULT NULL, 
CHANGE `payment_date` `payment_date` DATETIME NULL DEFAULT NULL, 
CHANGE `total` `total` DECIMAL(14,4) NOT NULL DEFAULT '0.0', 
CHANGE `grand_total` `grand_total` DECIMAL(14,4) NOT NULL DEFAULT '0.0', 
CHANGE `tax` `tax` DECIMAL(14,4) NOT NULL DEFAULT '0.0', 
CHANGE `payment_method` `payment_method` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL, 
CHANGE `country_id` `country_id` INT(11) NOT NULL DEFAULT '0', 
CHANGE `delivery_to_billing` `delivery_to_billing` TINYINT(4) NOT NULL DEFAULT '0', 
CHANGE `delivery_country_id` `delivery_country_id` INT(11) NOT NULL DEFAULT '0';

ALTER TABLE `#__djc2_order_items` 
CHANGE `sku` `sku` VARCHAR(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL, 
CHANGE `cost` `cost` DECIMAL(14,4) NOT NULL DEFAULT '0.0', 
CHANGE `base_cost` `base_cost` DECIMAL(14,4) NOT NULL DEFAULT '0.0', 
CHANGE `tax` `tax` DECIMAL(14,4) NOT NULL DEFAULT '0.0', 
CHANGE `tax_rate` `tax_rate` DECIMAL(14,4) NOT NULL DEFAULT '0.0', 
CHANGE `total` `total` DECIMAL(14,4) NOT NULL DEFAULT '0.0';

ALTER TABLE `#__djc2_payment_methods` 
CHANGE `published` `published` TINYINT(4) NOT NULL DEFAULT '0';

ALTER TABLE `#__djc2_price_rules` 
CHANGE `created` `created` DATETIME NULL DEFAULT NULL, 
CHANGE `created_by` `created_by` INT(11) NOT NULL DEFAULT '0', 
CHANGE `modified` `modified` DATETIME NULL DEFAULT NULL, 
CHANGE `modified_by` `modified_by` INT(11) NOT NULL DEFAULT '0', 
CHANGE `ordering` `ordering` INT(11) NOT NULL DEFAULT '0';


ALTER TABLE `#__djc2_producers` 
CHANGE `ordering` `ordering` INT(11) NOT NULL DEFAULT '0', 
CHANGE `checked_out` `checked_out` INT(11) NOT NULL DEFAULT '0', 
CHANGE `checked_out_time` `checked_out_time` DATETIME NULL DEFAULT NULL, 
CHANGE `created` `created` DATETIME NULL DEFAULT NULL;

ALTER TABLE `#__djc2_producers_extra_fields` 
CHANGE `ordering` `ordering` INT(11) NOT NULL DEFAULT '0', 
CHANGE `visibility` `visibility` INT(11) NOT NULL DEFAULT '0';

ALTER TABLE `#__djc2_producer_categories` 
CHANGE `ordering` `ordering` INT(11) NOT NULL DEFAULT '0', 
CHANGE `checked_out` `checked_out` INT(11) NOT NULL DEFAULT '0', 
CHANGE `checked_out_time` `checked_out_time` DATETIME NULL DEFAULT NULL, 
CHANGE `created` `created` DATETIME NULL DEFAULT NULL;

ALTER TABLE `#__djc2_quotes` 
CHANGE `created_date` `created_date` DATETIME NULL DEFAULT NULL, 
CHANGE `modified` `modified` DATETIME NULL DEFAULT NULL, 
CHANGE `grand_total` `grand_total` DECIMAL(14,4) NOT NULL DEFAULT '0.0', 
CHANGE `country_id` `country_id` INT(11) NOT NULL DEFAULT '0';

ALTER TABLE `#__djc2_quote_items` 
CHANGE `price` `price` DECIMAL(14,4) NOT NULL DEFAULT '0.0', 
CHANGE `total` `total` DECIMAL(14,4) NOT NULL DEFAULT '0.0';

ALTER TABLE `#__djc2_subscriptions` 
CHANGE `order_id` `order_id` INT(11) NOT NULL DEFAULT '0', 
CHANGE `start_date` `start_date` DATETIME NULL DEFAULT NULL, 
CHANGE `expire_date` `expire_date` DATETIME NULL DEFAULT NULL, 
CHANGE `extend_date` `extend_date` DATETIME NULL DEFAULT NULL, 
CHANGE `granted_usergroup` `granted_usergroup` INT(10) UNSIGNED NOT NULL DEFAULT '0', 
CHANGE `modified` `modified` DATETIME NULL DEFAULT NULL, 
CHANGE `modified_by` `modified_by` INT(11) NOT NULL DEFAULT '0';

ALTER TABLE `#__djc2_tax_rules` 
CHANGE `country_id` `country_id` INT(11) NOT NULL DEFAULT '0';

ALTER TABLE `#__djc2_transactions` 
CHANGE `created` `created` DATETIME NULL DEFAULT NULL;

ALTER TABLE `#__djc2_users` 
CHANGE `customer_group_id` `customer_group_id` INT(11) NOT NULL DEFAULT '0',
CHANGE `firstname` `firstname` VARCHAR(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL, 
CHANGE `lastname` `lastname` VARCHAR(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL, 
CHANGE `company` `company` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL,
CHANGE `address` `address` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL, 
CHANGE `city` `city` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL, 
CHANGE `postcode` `postcode` VARCHAR(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL, 
CHANGE `country_id` `country_id` INT(11) NOT NULL DEFAULT '0', 
CHANGE `modified` `modified` DATETIME NULL DEFAULT NULL;

ALTER TABLE `#__djc2_vat_rates` CHANGE `country_id` `country_id` INT(11) NOT NULL DEFAULT '0';

ALTER TABLE `#__djc2_videos` CHANGE `caption` `caption` VARCHAR(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL;

ALTER TABLE `#__djc2_wishes` CHANGE `created` `created` DATETIME NULL DEFAULT NULL, CHANGE `created_by` `created_by` INT(11) NOT NULL DEFAULT '0';
 
ALTER TABLE `#__djc2_usercarts` 
CHANGE `user_id` `user_id` INT(11) NOT NULL DEFAULT '0', 
CHANGE `items` `items` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL;

ALTER TABLE `#__djc2_producer_categories` 
CHANGE `parent_id` `parent_id` INT(11) NOT NULL DEFAULT '0';

ALTER TABLE `#__djc2_prices` 
CHANGE `group_id` `group_id` INT(11) NOT NULL DEFAULT '0';

ALTER TABLE `#__djc2_payment_methods` 
CHANGE `note` `note` TEXT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL;

ALTER TABLE `#__djc2_messages` 
CHANGE `sender_name` `sender_name` VARCHAR(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL, 
CHANGE `sender_email` `sender_email` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL, 
CHANGE `recipient_name` `recipient_name` VARCHAR(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL, 
CHANGE `subject` `subject` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL;

ALTER TABLE `#__djc2_item_reviews` 
CHANGE `review` `review` MEDIUMTEXT CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL, 
CHANGE `author` `author` VARCHAR(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL, 
CHANGE `created` `created` DATETIME NULL DEFAULT NULL;

ALTER TABLE `#__djc2_items_price_tiers` 
CHANGE `price` `price` DECIMAL(14,4) NOT NULL DEFAULT '0.0000';

ALTER TABLE `#__djc2_items_price_tiers` 
CHANGE `price` `price` DECIMAL(14,4) NOT NULL DEFAULT '0.0000';

ALTER TABLE `#__djc2_items_combinations` 
CHANGE `price` `price` DECIMAL(14,4) NOT NULL DEFAULT '0.0000';

ALTER TABLE `#__djc2_items` 
CHANGE `group_id` `group_id` INT(11) NOT NULL DEFAULT '0', 
CHANGE `sku` `sku` VARCHAR(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL, 
CHANGE `tax_rule_id` `tax_rule_id` INT(11) NOT NULL DEFAULT '0';

ALTER TABLE `#__djc2_files` 
CHANGE `source` `source` VARCHAR(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL;

ALTER TABLE `#__djc2_combination_prices` 
CHANGE `group_id` `group_id` INT(11) NOT NULL DEFAULT '0';

ALTER TABLE `#__djc2_categories` 
CHANGE `parent_id` `parent_id` INT(11) NOT NULL DEFAULT '0';

ALTER TABLE `#__djc2_addresses` 
CHANGE `user_id` `user_id` INT(11) NOT NULL DEFAULT '0', 
CHANGE `name` `name` VARCHAR(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL, 
CHANGE `country_id` `country_id` INT(11) NOT NULL DEFAULT '0';

